VRPlatformVRPlatform
Teams

/teams/{id}/init

Initialize a teams accounts and statement layout

PATCH
/teams/{id}/init
X-API-Key<token>

API key provided in dashboard

In: header

Path Parameters

id*string

Request Body

application/json

taxRateCountryOverwrite?string|null
copyFromTeamId?string
copyLineMappingsFromPartnerId?string|null
include?array<string>

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.edge.vrplatform.app/teams/string/init" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "defaultCurrency": "string",
  "longTermStayNights": 0,
  "defaultRevenueRecognition": "checkIn",
  "name": "string",
  "statementAddress": {
    "full": "string",
    "line1": "string",
    "line2": "string",
    "city": "string",
    "state": "string",
    "postalCode": "string",
    "stateCode": "string",
    "countryCode": "string"
  },
  "billingAddress": {
    "full": "string",
    "line1": "string",
    "line2": "string",
    "city": "string",
    "state": "string",
    "postalCode": "string",
    "stateCode": "string",
    "countryCode": "string"
  },
  "phone": "string",
  "email": "string",
  "taxId": "string",
  "partner": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string"
  },
  "billingPartner": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string"
  },
  "companyName": "string",
  "type": "partner",
  "status": "active",
  "billingSubscriptionStatus": "string",
  "billingPlan": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "trialUntil": "string",
  "cancelledAt": "string",
  "isOnboarding": true,
  "issues": [
    {
      "code": "unassignedAccount",
      "severity": "error",
      "context": {
        "accountIds": [
          "string"
        ]
      }
    }
  ],
  "isGeneralLedger": true,
  "booksClosedAt": "string",
  "logo": "string",
  "statementStartAt": "string",
  "effectiveStatementStartAt": "string",
  "ownerPortalShowDraftStatements": true,
  "members": [
    {
      "userId": "string",
      "email": "string",
      "role": "string",
      "name": "string",
      "firstName": "string"
    }
  ],
  "extractableConnections": {
    "property1": {
      "connections": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "appId": "string",
          "urlExample": "string",
          "allowConfirmationCode": true
        }
      ]
    },
    "property2": {
      "connections": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "appId": "string",
          "urlExample": "string",
          "allowConfirmationCode": true
        }
      ]
    }
  }
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}